# Interface CoverageDescription

All Superinterfaces:
  `ContentInformation`

All Known Subinterfaces:
  `ImageDescription`

All Known Implementing Classes:
  `DefaultCoverageDescription, DefaultImageDescription`

@UML(identifier="MD_CoverageDescription", specification=ISO_19115) public interface CoverageDescription extends ContentInformation
Information about the content of a grid data cell.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RecordType`
  `getAttributeDescription()`
  Description of the attribute described by the measurement value.
  `CoverageContentType`
  `getContentType()`
  Type of information represented by the cell value.
  `Collection<? extends RangeDimension>`
  `getDimensions()`
  Information on the dimensions of the cell measurement value.
  `Collection<? extends RangeElementDescription>`
  `getRangeElementDescriptions()`
  Provides the description of the specific range elements of a coverage.

- ## Method Details

  - ### getAttributeDescription

    @UML(identifier="attributeDescription", obligation=MANDATORY, specification=ISO_19115) RecordType getAttributeDescription()
    Description of the attribute described by the measurement value.
    Returns:
      Description of the attribute.

  - ### getContentType

    @UML(identifier="contentType", obligation=MANDATORY, specification=ISO_19115) CoverageContentType getContentType()
    Type of information represented by the cell value.
    Returns:
      Type of information represented by the cell value.

  - ### getDimensions

    @UML(identifier="dimension", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends RangeDimension> getDimensions()
    Information on the dimensions of the cell measurement value.
    Returns:
      Dimensions of the cell measurement value.
    Since:
      2.1

  - ### getRangeElementDescriptions

    @UML(identifier="rangeElementDescription", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends RangeElementDescription> getRangeElementDescriptions()
    Provides the description of the specific range elements of a coverage.
    Returns:
      Description of the specific range elements.
    Since:
      2.3